Gtk2::Arrow(3)

NAME
Gtk2::Arrow - wrapper for GtkArrow

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Misc
                      +----Gtk2::Arrow

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable

METHODS

  widget = Gtk2::Arrow->new ($arrow_type, $shadow_type)

•   $arrow_type (Gtk2::ArrowType)

•   $shadow_type (Gtk2::ShadowType)

  $arrow->set ($arrow_type, $shadow_type)

•   $arrow_type (Gtk2::ArrowType)

•   $shadow_type (Gtk2::ShadowType)

PROPERTIES

'arrow-type' (Gtk2::ArrowType : default "right" : readable / writable / private)
    The direction the arrow should point

'shadow-type' (Gtk2::ShadowType : default "out" : readable / writable / private)
    Appearance of the shadow surrounding the arrow

STYLE PROPERTIES

'arrow-scaling' (float : default 0.7 : readable / private)
    Amount of space used up by arrow

ENUMS AND FLAGS

  enum Gtk2::ArrowType

•   'up' / 'GTK_ARROW_UP'

•   'down' / 'GTK_ARROW_DOWN'

•   'left' / 'GTK_ARROW_LEFT'

•   'right' / 'GTK_ARROW_RIGHT'

•   'none' / 'GTK_ARROW_NONE'

  enum Gtk2::ShadowType

•   'none' / 'GTK_SHADOW_NONE'

•   'in' / 'GTK_SHADOW_IN'

•   'out' / 'GTK_SHADOW_OUT'

•   'etched-in' / 'GTK_SHADOW_ETCHED_IN'

•   'etched-out' / 'GTK_SHADOW_ETCHED_OUT'

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Misc

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.